VMTKBRANCHGEOMETRY(1)

NAME
vmtkbranchgeometry - vmtk script vmtkbranchgeometry

DESCRIPTION
Automatic piping vmtkbranchgeometry Parsing options vmtkbranchgeometry

vmtkbranchgeometry : compute geometric parameters for each branch of a

    tree. The script takes in input the centerlines already split into branches.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Centerlines (vtkPolyData,1): the input split centerlines

-ifile CenterlinesInputFileName (str,1): filename for the default

    Centerlines reader

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius: name of the array where centerline radius values are stored

-groupidsarray GroupIdsArrayName (str,1); default=GroupIds: name of

    the array where centerline group ids are stored

-blankingarray BlankingArrayName (str,1); default=Blanking: name of

    the array where blanking information about branches is stored

-lengtharray LengthArrayName (str,1); default=Length: name of the

    array where the average length of each branch has to be stored

-curvaturearray CurvatureArrayName (str,1); default=Curvature: name

    of the array where the average curvature of each branch has to be stored

-torsionarray TorsionArrayName (str,1); default=Torsion: name of

    the array where the average torsion of each branch has to be stored

-tortuosityarray TortuosityArrayName (str,1); default=Tortuosity:

    name of the array where the average tortuosity of each branch, defined as the length of a line divided by the distance of its endpoints, has to be stored

-smoothing LineSmoothing (bool,1); default=0

-iterations NumberOfSmoothingIterations (int,1) >= 0; default=100

-factor SmoothingFactor (float,1) >= 0.0; default=0.1

-ofile GeometryDataOutputFileName (str,1): filename for the default

    GeometryData writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o GeometryData (vtkPolyData,1): the output data set

-lengtharray LengthArrayName (str,1); default=Length: name of the

    array where the average length of each branch is stored

-curvaturearray CurvatureArrayName (str,1); default=Curvature: name

    of the array where the average curvature of each branch is stored

-torsionarray TorsionArrayName (str,1); default=Torsion: name of

    the array where the average torsion of each branch is stored

-tortuosityarray TortuosityArrayName (str,1); default=Tortuosity:

    name of the array where the average tortuosity of each branch, defined as the length of a line divided by the distance of its endpoints minus one (L/D - 1), is stored